# GAN & cGAN tutorial.

- **Student** : Pierre Muller
- **Teacher** : Quentin Gallouecdec


## Purpose 

The aim of this assignment is to discover GANs, understand how they are implemented and then explore one specific architecture of GANs that allows us to perform image to image translation (which corresponds to the picture that you can see above this text ! ). Through **[BE2_GAN_and_cGAN.ipynb](BE2_GAN_and_cGAN.ipynb)**, we are going to use DCGAN model to generate handwritten digits using the MNIST dataset. Then, we will use cGAN (a supervised GAN aiming at mapping a label picture to a real one or a real picture to a label one) and its generator/discriminator architecture to generate images from the **["Facade"](http://cmp.felk.cvut.cz/~tylecr1/facade/)** dataset.
\\ 

Check out the Jupyter notebook to learn in details about this project : **[BE2_GAN_and_cGAN.ipynb](BE2_GAN_and_cGAN.ipynb)**.





